<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="NPCWaterTankLevel"
	description="Компонент уровень бака для воды." fileName="NPCWaterTankLevel.jar"
	className="org.mati.npc.components.watertanklevel.NPCWaterTankLevel"
	version="8791" time="17.02.2009 01:05:07">

	<Group>Умный дом</Group>
	
	<!--INLINKS BEGIN-->
	<INLink name="InGetWaterTankLevel"
		description="Связь, служащая для получения информации о наличии воды на соответсвующем уровне."
		interfaceName="org.mati.npc.components.interfaces.WaterTankLevel"
		linksNumber="1" nullable="false">
	</INLink>
	<INLink name="InWaterTankSensor"
		description="Связь, служащая для получения информации о наличии воды от датчика воды."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="false">
	</INLink>
	<!--INLINKS END-->

	<!--OUTLINKS BEGIN-->
	<!--OUTLINKS N/A-->
	<!--OUTLINKS END-->

	<!--PROPERTIES BEGIN-->
	<Attribute name="WaterLevel"
		description="Уровень воды, на котором установлен датчик воды (в литрах)."
		type="java.lang.Integer" nullable="false" defaultValue="0">
	</Attribute>
	<!--PROPERTIES END-->

</ClassComponent>
